com.holonplatform.vaadin.flow.components

## Interface BoundComponentGroup.Binding<P,C extends HasComponent>

- Type Parameters:
    `P` - The property type
    `C` - The element type
  All Superinterfaces:
    Serializable
  Enclosing interface:
    BoundComponentGroup<P,C extends HasComponent>

      public static interface BoundComponentGroup.Binding<P,C extends HasComponent>
      extends Serializable

  A binding between a property and a group element.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <P,C extends HasComponent> BoundComponentGroup.Binding<P,C>` | `create(P property, C element)` Create a new `BoundComponentGroup.Binding`.
    `default com.vaadin.flow.component.Component` | `getComponent()` Get the bound element `Component`.
    `C` | `getElement()` Get the element of the group bound to the property.
    `P` | `getProperty()` Get the property which identifies the component within the group.

- - ### Method Detail

    - #### getProperty

          P getProperty()

      Get the property which identifies the component within the group.
      Returns:
        The property

    - #### getElement

          C getElement()

      Get the element of the group bound to the property.
      Returns:
        The bound element
      See Also:
        `getProperty()`

    - #### getComponent

          default com.vaadin.flow.component.Component getComponent()

      Get the bound element `Component`.
      Returns:
        the bound element `Component`

    - #### create

          static <P,C extends HasComponent> BoundComponentGroup.Binding<P,C> create(P property,
                                                                                    C element)

      Create a new `BoundComponentGroup.Binding`.
      Type Parameters:
        `P` - The property type
        `C` - The element type
      Parameters:
        `property` - The binding property (not null)
        `element` - The bound element (not null)
      Returns:
        A new `BoundComponentGroup.Binding` instance

Copyright © 2019 The Holon Platform. All rights reserved.